@if (campaignViewComponentData) {
  <div class="campaign-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.id.capitalize' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'campaign-id'">
      <span class="field-value-color">{{
        campaignViewComponentData.campaign.id
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'campaign-created'"
      [userName]="campaignViewComponentData.campaign.createdBy"
      [date]="campaignViewComponentData.campaign.createdOn"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.state.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-level-enum-field
      #statusField
      class="full-width"
      [attr.data-test-field-id]="'campaign-status'"
      [layout]="'no-buttons'"
      [enumType]="'CampaignStatus'"
      [showIcon]="true"
      [selectedEnumItem]="campaignViewComponentData.campaign.campaignStatus"
      [sqtmCoreEntityViewEditableSelectLevelEnumField]="'campaignStatus'"
    >
    </sqtm-core-editable-select-level-enum-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'campaign-lastModified'"
      [userName]="campaignViewComponentData.campaign.lastModifiedBy"
      [date]="campaignViewComponentData.campaign.lastModifiedOn"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.progress-state.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'campaign-progress-state'">
      <span class="field-value-color">{{
        getProgressStatus(
          campaignViewComponentData.campaign.testPlanStatistics.status
        ) | translate
      }}</span>
    </div>
    @if (milestoneFeatureEnabled$ | async) {
      <div class="campaign-grid-first-column">
        <sqtm-core-label
          [text]="'sqtm-core.entity.milestone.label.singular' | translate"
        >
        </sqtm-core-label>
      </div>
      <div class="requirement-version-grid-group-three-column">
        <sqtm-app-milestones-tag
          [attr.data-test-field-id]="'campaign-milestones'"
          [milestones]="campaignViewComponentData.campaign.milestones"
          [multiple]="false"
          [titleKey]="'sqtm-core.dialog.milestone.bind.single'"
          [selectedMilestone]="campaignViewComponentData.campaign.milestones[0]"
          [possibleMilestones]="
            getPossibleMilestones(campaignViewComponentData)
          "
          [editable]="canLinkMilestone()"
          (deleteMilestone)="
            deleteMilestone(campaignViewComponentData.campaign.id, $event)
          "
          (bindMilestone)="
            bindMilestone(campaignViewComponentData.campaign.id, $event)
          "
        >
        </sqtm-app-milestones-tag>
      </div>
    }
    @for (cfd of customFieldData; track trackCfd($index, cfd)) {
      <sqtm-core-label class="campaign-grid-first-column" [text]="cfd.label">
      </sqtm-core-label>
      <div class="campaign-grid-group-three-column">
        <sqtm-core-custom-field-widget [sqtmCoreEntityCustomField]="cfd">
        </sqtm-core-custom-field-widget>
      </div>
    }
  </div>
  <div style="margin-top: 20px">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [border]="true"
      [attr.data-test-field-id]="'campaign-description'"
      [focus]="true"
      [editable]="true"
      [sqtmCoreEntityViewEditableRichTextField]="'description'"
      [placeholder]="
        'sqtm-core.generic.editable.description.placeholder' | translate
      "
    >
    </sqtm-core-editable-rich-text>
  </div>
}
